Activation

Carrier lookup, inventory, standard/SmartSIM/eSIM activations, transactions, and downloads.

4 of 14

Filtering by query: /v1.0/activation/transaction

POST/v1.0/activation/transactionChanges dataPermalink ↗

Submit activation request. This endpoint can only be accessed by scope aux_activation.

MCPsentinel_activation.activate_device

Parameters

activationRequestInfobodyActivationRequestInforequired

activationRequestInfo

cURL
curl -X POST "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/activation/transaction" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "corpId": "NORTHSTAR-ISD",
  "imei": "355737360073462",
  "iccid": "89014103211118510720",
  "carrier": "VERIZON",
  "filterGroup": "Student_K8",
  "deviceGroup": "Transportation"
}'
GET/v1.0/activation/transactionsRead-onlyPermalink ↗

Gets the detailed activation history. This endpoint can only be accessed by scope aux_activation.

Parameters

sortDirquerystring

Sort direction

Values: ASC, DESC

offsetquerynumber

The position of the first transaction for the requested result set. Starts from 0.

limitquerynumber

The number of transactions to return.

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/activation/transactions?sortDir=DESC&offset=0&limit=25" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
GET/v1.0/activation/transactions/{uniqueTransactionId}Read-onlyPermalink ↗

Gets the activation transaction details. This endpoint can only be accessed by scope aux_activation.

Parameters

uniqueTransactionIdpathstringrequired

Unique transaction Id specific to an activation request

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/activation/transactions/ACT-2026-0313-001" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
GET/v1.0/activation/transactions/{uniqueTransactionId}/csvRead-onlyPermalink ↗

Downloads the activation transaction details CSV. This endpoint can only be accessed by scope aux_activation.

Parameters

uniqueTransactionIdpathstringrequired

Unique transaction Id specific to an activation request

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/activation/transactions/ACT-2026-0313-001/csv" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"

Build your first call in 5 minutes.

Grab a Dev SIM, get an API key, and POST /v1.0/auth/token from anywhere.